# Orkut API . communityFollow

## Instance Methods

Removes a user from the followers of a community.

Adds a user as a follower of a community.

### Method Details

`delete(communityId, userId)`

    Removes a user from the followers of a community.

    Args:
      communityId: integer, ID of the community. (required)
      userId: string, ID of the user. (required)

`insert(communityId, userId)`

    Adds a user as a follower of a community.

    Args:
      communityId: integer, ID of the community. (required)
      userId: string, ID of the user. (required)

    Returns:
      An object of the form:

        {
        "communityMembershipStatus": { # Status and permissions of the user related to the community.
          "status": "A String", # The status of the current link between the community and the user.
          "isFollowing": True or False, # Whether the user is following this community.
          "isRestoreAvailable": True or False, # Whether the restore operation is available for the community.
          "isModerator": True or False, # Whether the session user is a community moderator.
          "kind": "orkut#communityMembershipStatus", # Kind of this item. Always orkut#communityMembershipStatus.
          "isCoOwner": True or False, # Whether the session user is a community co-owner.
          "canCreatePoll": True or False, # Whether the user can create a poll in this community.
          "canShout": True or False, # Whether the user can perform a shout operation in this community.
          "isOwner": True or False, # Whether the session user is the community owner.
          "canCreateTopic": True or False, # Whether the user can create a topic in this community.
          "isTakebackAvailable": True or False, # Whether the take-back operation is available for the community.
        },
        "person": { # Description of the community member.
          "name": { # An object that encapsulates the individual components of a person's name.
            "givenName": "A String", # The given name (first name) of this person.
            "familyName": "A String", # The family name (last name) of this person.
          },
          "url": "A String", # The person's profile url. This is adapted from Google+ and was originaly introduced as extra OpenSocial convenience fields.
          "gender": "A String", # The person's gender. Values include "male", "female", and "other".
          "image": { # The person's profile photo. This is adapted from Google+ and was originaly introduced as extra OpenSocial convenience fields.
            "url": "A String", # The URL of the person's profile photo.
          },
          "birthday": "A String", # The person's date of birth, represented as YYYY-MM-DD.
          "id": "A String", # The person's opensocial ID.
        },
        "kind": "orkut#communityMembers", # Kind of this item. Always orkut#communityMembers.
      }